package e2e

import (
	"fmt"
	"gitea.pena/PenaSide/verification/tests/helpers"
	"github.com/gofiber/fiber/v2"
	"github.com/stretchr/testify/assert"
	"testing"
)

func Test_Metrics(t *testing.T) {
	url := "http://localhost:8081/metrics"
	client := fiber.AcquireClient()

	token, err := helpers.CreateJwt("64e53ed187392e122e5d3d50")
	assert.NoError(t, err)

	assert.NoError(t, err)

	agent := client.Get(url)
	agent.Set("Authorization", fmt.Sprintf("Bearer %s", token))
	statusCode, respBody, errs := agent.Bytes()
	if len(errs) > 0 {
		assert.NoError(t, errs[0])
	}
	assert.Equal(t, 200, statusCode)

	fmt.Println(string(respBody))

}
